#ifndef WINCVS_WINUTIL_H
#define WINCVS_WINUTIL_H

enum
{
	kCustomBrowserMenu,
	kCustomFilesMenu
};

CWnd* FindNextWindow(CWnd* pWnd, BOOL CheckTabStop = TRUE);
CWnd* FindPrevWindow(CWnd* pWnd, BOOL CheckTabStop = TRUE);

CMenu* GetSubCMenu(int nStartId, CView* pThis);
CMenu* GetMenuEntry(int nStartId, int& pos);
CMenu* GetCustomMenu(int whichmenu, CView* pThis);
void CustomizeMenus(int whichmenu);
bool FormatMenuString(int cmd, CString& str);

bool IsLargeFonts();

/// Class to support efficient drawing of CWnd based windows by managing window's redraw
class CWndRedrawMngr
{
private:
	CWnd* m_pWnd;	/*!< Window to manage */

public:
	CWndRedrawMngr(CWnd* pWnd, BOOL bRedraw = FALSE);
	virtual ~CWndRedrawMngr();
	
	void SetRedraw(BOOL bRedraw);
};

#endif	/*WINCVS_WINUTIL_H*/
